# -*- coding: utf-8 -*-
"""
Spyder Editor

This is a temporary script file.
"""

import matplotlib.pyplot as plt
import numpy as np

x = np.linspace(-1.5, 1.0, 300)
y = np.linspace(-1.5, 1.5, 300)
X, Y = np.meshgrid(x, y)
Z0 = X + 1j * Y
Z = np.copy(Z0)
rmax = np.maximum(abs(Z0), 2*np.ones_like(Z0))
iter = np.zeros_like(Z0, dtype=float)

maxiter = 100
n = 0
while n <= maxiter:
    cond = abs(Z) < rmax
    Z[cond] = Z[cond]**2 + Z0[cond]
    iter[cond] += 1
    n += 1
 
color = iter
plt.scatter(Z0.real, Z0.imag, s=1, c=color)
plt.show()
